<?php


//ini_set('display_errors',1);

session_start();
require_once ("../../config/Cado.php");
require_once ("../empresa/cEmpresa.php");
$oEmpresa = new cEmpresa();
require_once ("../venta/cVenta.php");
$oVenta = new cVenta();
require_once ("../impresora/cImpresora.php");
$oImpresora = new cImpresora();
require_once ("../producto/cCatalogo.php");
$oCatalogo = new cCatalogo();

require_once ("../venta/cVentapago.php");
$oVentapago = new cVentapago();


require_once("../formatos/formato.php");
require_once("../formatos/numletras.php");
$venid=$_POST['venid'];
$urlxml='../'.$_POST['urlxml'];
	$dtsven= $oVenta->mostrarUno_ticket($venid);
	$dtven= mysqli_fetch_array($dtsven);
	//VENTA
	$ven_numDoc	=$dtven['numdoc'];
	$ven_docNom=$dtven['tb_documento_nom'];
	$ven_docAbr=$dtven['tb_documento_abr'];
	$ven_punVen=$dtven['tb_puntoventa_nom'];	
	$ven_venNom=$dtven['tb_usuario_nom'].' '.$dtven['tb_usuario_ape'];
	$ven_fecReg=$dtven['tb_venta_reg'];
	$ven_fec=$dtven['tb_venta_fec'];
	$ven_valven=$dtven['tb_venta_valven'];
	$ven_igv=$dtven['tb_venta_igv'];
	$ven_tot=$dtven['tb_venta_tot'];
	$ven_igvval=$dtven['tb_venta_igvval'];
	$ven_igvsub=$dtven['tb_venta_igvsub'];
	$ven_igvigv=$dtven['tb_venta_igvigv'];
	$ven_pisNom=$dtven['tb_piso_nom'];
	//CLIENTE
	$cliNom=$dtven['tb_cliente_nom'];
	$cliDoc=$dtven['tb_cliente_doc'];
	$cliDir=$dtven['dir'];
	$cliEma=$dtven['tb_cliente_ema'];
	$cliId=$dtven['tb_cliente_id'];
	$punven_cod = $dtven['tb_puntoventa_cod'];
	$data['punven_cod']	=$punven_cod;
	mysqli_free_result($dtsven);

$dtsi=$oImpresora->mostrarUno('1');
$dti = mysqli_fetch_array($dtsi);
	$imp_nom 	=$dti['tb_impresora_nom'];
	$imp_nomloc =$dti['tb_impresora_nomloc'];
	$imp_ser 	=$dti['tb_impresora_ser'];
	$imp_url 	=$dti['tb_impresora_url'];
	$imp_ip 	=$dti['tb_impresora_ip'];
mysqli_free_result($dtsi);

$dts=$oEmpresa->mostrarUno($_SESSION['empresa_id']);
$dt = mysqli_fetch_array($dts);
	$emp_ruc=$dt['tb_empresa_ruc'];
	$emp_nomcom=$dt['tb_empresa_nomcom'];
	$emp_razsoc=$dt['tb_empresa_razsoc'];
	$emp_dir=$dt['tb_empresa_dir'];
	$emp_dir2=$dt['tb_empresa_dir2'];
	$emp_tel=$dt['tb_empresa_tel'];
	$emp_ema=$dt['tb_empresa_ema'];
	$emp_fir=$dt['tb_empresa_fir'];		
mysqli_free_result($dts);

// DATOS A IMPRIMIR
$data['imp_nom'] = $imp_nom;
$data['imp_nomloc'] = $imp_nomloc;
$data['imp_ser'] = $imp_ser;
$data['imp_url'] = $imp_url;
$data['imp_ip']	 = $imp_ip;
$archivo_ticket='venta/venta_doc_mat.php';

$data['imp_doc'] = $imp_url.$archivo_ticket;
$data['emp_razsoc'] =htmlspecialchars($emp_razsoc);
$data['emp_nomcom'] =htmlspecialchars($emp_nomcom);
$data['emp_ruc']	=$emp_ruc;
$data['emp_dir1']	=$emp_dir;
$data['emp_dir2']	=$emp_dir2;
$data['emp_tel']	=$emp_tel;
//SEPARAR SERIE Y CORRELATIVO
$ser =  substr($ven_numDoc,0,4); 
$corr =  substr($ven_numDoc,5,13); 
$cont = strlen($cliDoc);
if($cont==11){
	$tipdoc = '06';
}else if($cont==8){
	$tipdoc = '01';
}
if($ven_docAbr=="F"){
	$tipcom="01";
}else if($ven_docAbr=="B"){
	$tipcom="03";
}
$data['tipcom']	=$tipcom;

$data['ven_igvsub']	= $ven_igvsub;
$data['ven_igvigv']	= $ven_igvigv;
$data['venta_id']	=$venid;
$data['ven_reg']	=$ven_fec;
$data['ven_fec']	=$ven_fec;
$data['ven_numdoc'] = $ven_numDoc;
$data['ven_serdoc'] = $ser;
$data['ven_corrdoc'] = $corr;
$data['ven_docabr'] = $ven_docAbr;
$data['url_genfac'] = '../../docgeneracion/generarfac.php';
$data['url_genbol'] = '../../docgeneracion/generarbol.php';
$data['cli_id'] = $cliId;
$data['cli_nom'] = $cliNom;
$data['cli_numdoc'] = $cliDoc;
$data['tipdoc'] = $tipdoc;
$data['cli_dir'] = $cliDir;
$data['cli_ema'] = $cliEma;
$data['ven_valven'] = formato_money($ven_valven);
$data['ven_igv'] = formato_money($ven_igv);
$data['ven_tot']	= formato_money($ven_tot);
$data['ven_lettot']	= numtoletras($ven_tot);
$data['ven_vennom']	= $ven_venNom;
$data['usu_nom']	= "".$ven_punVen."/C".$ven_pisNom;
$data['urlxml']	= $urlxml;

//$data['urlimg_code'] = 'http://siis.ovh/ferreteria_sullon/app/venta/barcode/'.$ser.'-'.$corr.'.jpg';

$data['urlimg_code'] = 'http://siis.ovh/ferreteria_aceroschepen/app/venta/barcode/'.$ser.'-'.$corr.'.png';
$data['nomimg_code'] = $ser.'-'.$corr.'.png';

//EXTRAER DATOS DEL XML

//$data['byteimg'] = file_get_contents('barcode/'.$ser.'-'.$corr.'-pdf417.png');

$xml = new DOMDocument();
$xml->preserveWhiteSpace = FALSE;
$xml->load($urlxml);
$k= $xml->getElementsByTagName("DigestValue");
foreach ($k as $node) {
   $DigVal =  $node->nodeValue;
}
$k= $xml->getElementsByTagName("SignatureValue");
foreach ($k as $node) {
   $SigVal=  $node->nodeValue;
}
 $est = 1;
 /* $oVenta->act_sunat($venid,$DigVal,$SigVal,$est); */
$data['DigVal'] = $DigVal;
$data['SigVal'] = $SigVal;

$dtsvenpag2 =$oVentapago->mostrar_pagos($venid);
$numrowsvenpag = mysqli_num_rows($dtsvenpag2);

//echo '--'.$numrowsvenpag;

$data['Numcuotas'] = $numrowsvenpag;

if($numrowsvenpag==1){
	
	
	
	$dtsvenpag =$oVentapago->mostrar_pagos($venid);
	$numrowsvenpag = mysqli_num_rows($dtsvenpag);
	$dtvenpag = mysqli_fetch_array($dtsvenpag);
	$forpag = $dtvenpag['tb_formapago_id'];
	$modpag = $dtvenpag['tb_modopago_id'];
	$venpag_fecven = $dtvenpag['tb_ventapago_fecven'];
	$venpag_mon = $dtvenpag['tb_ventapago_mon'];
	
	if($modpag==1){
		$mod = 'EFECTIVO';
	}else if($modpag==2){
		$mod = 'DEPOSITO';
	}else if($modpag==3){
		$mod = 'TRANSFERENCIA';
	}else if($modpag==4){
		$mod = 'CHEQUE';
	}else if($modpag==5){
		$mod = 'TARJETA';
	}
	
	if($forpag==1){		
		$data['venpag_est']= '1';
		$data['venpag_id']= 'FormaPago';
		$data['venpag_for']= 'Contado';
		$data['venpag_mod']= $mod;
		$data['venpag_tot']= $dtvenpag['tb_ventapago_mon'];
		$data['venpag_fecven']= $dtvenpag['tb_ventapago_fecven'];	
	}else if($forpag==2){
		$data['venpag_est']= '1';		
		$data['venpag_id']= 'FormaPago';
		$data['venpag_for']= 'Credito';
		$data['venpag_mod']= $mod;
		$data['venpag_tot']= $dtvenpag['tb_ventapago_mon'];
		$data['venpag_fecven']= $dtvenpag['tb_ventapago_fecven'];
		
		$data['venpag_estc'][]= '2';
		$data['venpag_idc'][]= 'FormaPago';
		$data['venpag_forc'][]= 'Cuota001';
		$data['venpag_modc'][]= $mod;
		$data['venpag_totc'][]= $dtvenpag['tb_ventapago_mon'];
		$data['venpag_fecvenc'][]= $dtvenpag['tb_ventapago_fecven'];		
	}
	
}else{
		$dtsvenpag1 =$oVentapago->mostrar_pagos($venid);
		$numrowsvenpag1 = mysqli_num_rows($dtsvenpag1);
		$dtvenpag1 = mysqli_fetch_array($dtsvenpag1);
		$forpag = $dtvenpag1['tb_formapago_id'];
		$modpag = $dtvenpag1['tb_modopago_id'];
		$venpag_fecven = $dtvenpag1['tb_ventapago_fecven'];
		$venpag_mon = $dtvenpag1['tb_ventapago_mon'];
	
		$data['venpag_est']= '1';		
		$data['venpag_id']= 'FormaPago';
		$data['venpag_for']= 'Credito';
		$data['venpag_mod']= $mod;
		$data['venpag_tot']= $ven_tot;
		$data['venpag_fecven']= $dtvenpag1['tb_ventapago_fecven'];
	$i = 1;
	$dtsvenpag3 =$oVentapago->mostrar_pagos($venid);
	$numrowsvenpag3 = mysqli_num_rows($dtsvenpag3);
	//echo '--'.$numrowsvenpag3;
	while($dtvenpag3 = mysqli_fetch_array($dtsvenpag3)){
	$forpag = $dtvenpag3['tb_formapago_id'];
	$modpag = $dtvenpag3['tb_modopago_id'];
	$venpag_fecven = $dtvenpag3['tb_ventapago_fecven'];
	$venpag_mon = $dtvenpag3['tb_ventapago_mon'];
	
	if($modpag==1){
		$mod = 'EFECTIVO';
	}else if($modpag==2){
		$mod = 'DEPOSITO';
	}else if($modpag==3){
		$mod = 'TRANSFERENCIA';
	}else if($modpag==4){
		$mod = 'CHEQUE';
	}else if($modpag==5){
		$mod = 'TARJETA';
	}
	
		$data['venpag_estc'][]= '2';
		$data['venpag_idc'][]= 'FormaPago';
		$data['venpag_forc'][]= 'Cuota00'.$i;
		$data['venpag_modc'][]= $mod;
		$data['venpag_totc'][]= $dtvenpag3['tb_ventapago_mon'];
		$data['venpag_fecvenc'][]= $dtvenpag3['tb_ventapago_fecven'];	
	
		$i++;
	
	}
	
}



//Detalle de venta
$dtsdetven=$oVenta->mostrar_venta_detalle($venid);
$num_rows= mysqli_num_rows($dtsdetven);
if($num_rows>=1){
	while($dt1 = mysqli_fetch_array($dtsdetven))
	{
		$pro_id = $dt1["tb_producto_id"];
		$detven_art = $dt1["tb_ventadetalle_nom"];
		$detven_can =  $dt1["tb_ventadetalle_can"];
		$detven_preuni = $dt1["tb_ventadetalle_preuni"];
		$detven_uni = $dt1["tb_unidad_abr"];
		$detven_mar = $dt1["tb_marca_nom"];
		
		
		$dts2=$oCatalogo->mostrarUno($dt1['tb_catalogo_id'],$dt1['tb_marca_id']);
			$dt2 = mysqli_fetch_array($dts2);
			
			$arttip_nom =  $dt1['tb_articulotipo_nom'];
			$emp_fac =  $dt2['tb_empaque_fac'];
			$preven =  $dt2['tb_productomarca_preven'];
			$prevenf =  $dt2['tb_productomarca_prevenf'];
			
		$can = $detven_can/$emp_fac;
			//$can = $detven_can/$emp_fac;
		
			list($cane,$canf) = explode('.',$can);
			$canf = $canf * 1;
			
			
			
			
			//echo $cane.'--'.$canf ;
			//echo $canf.'-' ;


			if($cane!=="" && $canf==""){ 
				$can = $cane;
			}else if($cane=="" && $canf!==""){ 
				$can = $canf;
			}
			else if($cane!=="" && $canf!==""){ 
				
				$can = $detven_can;
			}



		
		$data['pro_id'][]= $pro_id;
		$data['vendet_art'][]= limpiar_string ($detven_art);
		$data['vendet_can'][]= $can*1;
		$data['vendet_preuni'][]=moneda_mysql($detven_preuni);
		$data['vendet_uni'][]= $detven_uni;
		$data['vendet_mar'][]= $detven_mar;
		$data['vendet_subtot'][]=moneda_mysql($detven_preuni) * $can;
	}
	mysqli_free_result($dtsdetven);	
}else{
	$data="";
}
echo json_encode($data);
?>